# Quick Start

### The Cooler API: Measuring Carbon Footprints&#x20;

Use Cooler's carbon calculator API to calculate the carbon footprint of every item within your transactions. The calculator can be updated, sometimes monthly, based on a variety of economic factors. Learn more about our methodology here.

### Get your API keys&#x20;

Your API requests are authenticated using unique API keys. Cooler provides both a production key and a test key, allowing you to test your applications without incurring any charges. Any request that does not include an API key will result in an error.

Navigate to your [account settings](< https://app.cooler.dev/docs-redirect>) to retrieve your API keys.

### Make your first footprint request&#x20;

Send an authenticated request to the Footprint endpoint to calculate the carbon footprint of the product or products in a transaction. You can use the default test key or your Cooler API test or production key. \
\
**NOTES**\
**CO2e** results are always in kilograms (**kg**)\
**Price** is always in dollars-cents format **$$.¢¢**, i.e. $500, $500.23, etc. \
\
For more examples, see the [API Reference](/api-reference.md).&#x20;

{% tabs %}
{% tab title="curl" %}

```shell
curl -X POST https://api.cooler.dev/v2/footprint/products \
-H "Content-Type: application/json" \
-H "Cooler-Api-Key: cooler_test_acaf38b8-5d04-4aa4-87fe-91a67fc13a05" \
-d '{
  "items": [{
    "productPrice": 500,
    "productName": "Samsung A7 Galaxy",
    "productDescription": "Samsung A7 Galaxy",
    "postalCode": "02062",
    "newProduct": true,
    "externalId": "6c233e4f-3f55-43fe-b67b-0ce50e5f7177"
  }]
}'
```

{% endtab %}
{% endtabs %}

### Performance

The first time Cooler footprints a product, there is a bit of latency as it categorizes and footprints the items in your transactions. Future footprinting of that same product is typically very fast. Our platform currently runs on Google Cloud and scales with demand. Though we observe system performance and uptime constantly, please let us know if you experience any performance issues by emailing support\@.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cooler.dev/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
